Package helma.image.imageio

# Class ImageIOGenerator

java.lang.Object
helma.image.ImageGenerator
helma.image.imageio.ImageIOGenerator

public class ImageIOGenerator extends ImageGenerator
A wrapper for an image that uses the ImageIO Framework.

## Field Summary

### Fields inherited from class helma.image.ImageGenerator

`generator`

## Constructor Summary

Constructors
Constructor
Description
`ImageIOGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(ImageWrapper wrapper, OutputStream out, String mimeType, float quality, boolean alpha)`
Saves the image.
`void`
`write(ImageWrapper wrapper, String filename, float quality, boolean alpha)`
Saves the image.
`protected void`
`write(ImageWrapper wrapper, ImageWriter writer, float quality, boolean alpha)`

### Methods inherited from class helma.image.ImageGenerator

`createImage, createImage, createImage, createImage, createImage, createImage, createImage, getInstance, read, read, read, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageIOGenerator

public ImageIOGenerator()

## Method Details

### write

protected void write(ImageWrapper wrapper, ImageWriter writer, float quality, boolean alpha) throws IOException

Throws:
  `IOException`

### write

public void write(ImageWrapper wrapper, String filename, float quality, boolean alpha) throws IOException
Saves the image. Image format is deduced from filename.

Specified by:
  `write` in class `ImageGenerator`
Parameters:
  `wrapper` - the image to write
  `filename` - the file to write to
  `quality` - image quality
  `alpha` - to enable alpha
Throws:
  `IOException`
See Also:
  - `ImageGenerator.write(helma.image.ImageWrapper, java.lang.String, float, boolean)`

### write

public void write(ImageWrapper wrapper, OutputStream out, String mimeType, float quality, boolean alpha) throws IOException
Saves the image. Image format is deduced from type.

Specified by:
  `write` in class `ImageGenerator`
Parameters:
  `wrapper` - the image to write
  `out` - the outputstream to write to
  `mimeType` - the mime type
  `quality` - image quality
  `alpha` - to enable alpha
Throws:
  `IOException`
See Also:
  - `ImageGenerator.write(helma.image.ImageWrapper, java.io.OutputStream, java.lang.String, float, boolean)`